<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: GameOptions Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/dd5/class_game_options.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">GameOptions Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for GameOptions:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../da/dd5/class_game_options.png" usemap="#GameOptions_map" alt=""/>
  <map id="GameOptions_map" name="GameOptions_map">
<area href="../../d5/d78/group___enforce.html#dd/d17/class_managed" title="TODO doc." alt="Managed" shape="rect" coords="0,0,87,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:ad8361de07998a564f7bf8ed7973a32bb"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd5/class_game_options.html#ad8361de07998a564f7bf8ed7973a32bb">Apply</a> ()</td></tr>
<tr class="memdesc:ad8361de07998a564f7bf8ed7973a32bb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests, Applies every option and save config with options to file, see <a class="el" href="../../d6/d93/class_options_access.html#a87890ff3a44230871293d24c6088715d" title="Sets the option value internaly if the value has changed and wasnt set immediately upon change.">OptionsAccess::Test</a>, <a class="el" href="../../d6/d93/class_options_access.html#a88e43ca7bbacabe8b2304e26b40ea047" title="Applies the option value if the value has changed and forgets the old value. This function has no eff...">OptionsAccess::Apply</a>.  <a href="../../da/dd5/class_game_options.html#ad8361de07998a564f7bf8ed7973a32bb">More...</a><br /></td></tr>
<tr class="separator:ad8361de07998a564f7bf8ed7973a32bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b905d887c384dfaf2775f7a0ad635e2"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd5/class_game_options.html#a7b905d887c384dfaf2775f7a0ad635e2">Revert</a> ()</td></tr>
<tr class="memdesc:a7b905d887c384dfaf2775f7a0ad635e2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Load config with options and Revert every option, see <a class="el" href="../../d6/d93/class_options_access.html#ac0fec86ad23367d35fade042667eacb8" title="Reverts the option value to old value if the value has changed and wasnt applied. This function has e...">OptionsAccess::Revert</a>.  <a href="../../da/dd5/class_game_options.html#a7b905d887c384dfaf2775f7a0ad635e2">More...</a><br /></td></tr>
<tr class="separator:a7b905d887c384dfaf2775f7a0ad635e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1216de1f83ee4c1869e8823b0ea75e66"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd5/class_game_options.html#a1216de1f83ee4c1869e8823b0ea75e66">Test</a> ()</td></tr>
<tr class="memdesc:a1216de1f83ee4c1869e8823b0ea75e66"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests every option, see <a class="el" href="../../d6/d93/class_options_access.html#a87890ff3a44230871293d24c6088715d" title="Sets the option value internaly if the value has changed and wasnt set immediately upon change.">OptionsAccess::Test</a>.  <a href="../../da/dd5/class_game_options.html#a1216de1f83ee4c1869e8823b0ea75e66">More...</a><br /></td></tr>
<tr class="separator:a1216de1f83ee4c1869e8823b0ea75e66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6e27d44773b30bc94b9beca59ba2ff9"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d6/d93/class_options_access.html">OptionsAccess</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd5/class_game_options.html#af6e27d44773b30bc94b9beca59ba2ff9">GetOption</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> index)</td></tr>
<tr class="memdesc:af6e27d44773b30bc94b9beca59ba2ff9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get option by index.  <a href="../../da/dd5/class_game_options.html#af6e27d44773b30bc94b9beca59ba2ff9">More...</a><br /></td></tr>
<tr class="separator:af6e27d44773b30bc94b9beca59ba2ff9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5cb532cd64dc6e1475ce1094823aad7"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d6/d93/class_options_access.html">OptionsAccess</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd5/class_game_options.html#af5cb532cd64dc6e1475ce1094823aad7">GetOptionByType</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> accessType)</td></tr>
<tr class="memdesc:af5cb532cd64dc6e1475ce1094823aad7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get option by AccessType.  <a href="../../da/dd5/class_game_options.html#af5cb532cd64dc6e1475ce1094823aad7">More...</a><br /></td></tr>
<tr class="separator:af5cb532cd64dc6e1475ce1094823aad7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a469c27ee72ff4369beda54564d97451b"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd5/class_game_options.html#a469c27ee72ff4369beda54564d97451b">GetOptionsCount</a> ()</td></tr>
<tr class="memdesc:a469c27ee72ff4369beda54564d97451b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Registered options count.  <a href="../../da/dd5/class_game_options.html#a469c27ee72ff4369beda54564d97451b">More...</a><br /></td></tr>
<tr class="separator:a469c27ee72ff4369beda54564d97451b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a5c27ddab6f48a76f460e65c3425860"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd5/class_game_options.html#a7a5c27ddab6f48a76f460e65c3425860">NeedRestart</a> ()</td></tr>
<tr class="memdesc:a7a5c27ddab6f48a76f460e65c3425860"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if any option is changed and needs restart, see <a class="el" href="../../d6/d93/class_options_access.html#aed087602381c9cbfe4b6897e5bd865c3" title="If the option value is changed and not applied or reverted. Value can already be set internally if th...">OptionsAccess::IsChanged</a>, <a class="el" href="../../d6/d93/class_options_access.html#a35aee336b419f747f6870f3ba363d8c0" title="If the option value will take effect only after the game is restarted.">OptionsAccess::NeedRestart</a>.  <a href="../../da/dd5/class_game_options.html#a7a5c27ddab6f48a76f460e65c3425860">More...</a><br /></td></tr>
<tr class="separator:a7a5c27ddab6f48a76f460e65c3425860"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74eaeae5be120dcc3909cfcb978fdde7"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd5/class_game_options.html#a74eaeae5be120dcc3909cfcb978fdde7">IsChanged</a> ()</td></tr>
<tr class="memdesc:a74eaeae5be120dcc3909cfcb978fdde7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if any option is changed, see <a class="el" href="../../d6/d93/class_options_access.html#aed087602381c9cbfe4b6897e5bd865c3" title="If the option value is changed and not applied or reverted. Value can already be set internally if th...">OptionsAccess::IsChanged</a>.  <a href="../../da/dd5/class_game_options.html#a74eaeae5be120dcc3909cfcb978fdde7">More...</a><br /></td></tr>
<tr class="separator:a74eaeae5be120dcc3909cfcb978fdde7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b6f75a58df81070cb106cbffa13d8d2"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/dd5/class_game_options.html#a8b6f75a58df81070cb106cbffa13d8d2">Initialize</a> ()</td></tr>
<tr class="memdesc:a8b6f75a58df81070cb106cbffa13d8d2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes option values with the current users settings.  <a href="../../da/dd5/class_game_options.html#a8b6f75a58df81070cb106cbffa13d8d2">More...</a><br /></td></tr>
<tr class="separator:a8b6f75a58df81070cb106cbffa13d8d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d8/d18/gameplay_8c_source.html#l01309">1309</a> of file <a class="el" href="../../d8/d18/gameplay_8c_source.html">gameplay.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ad8361de07998a564f7bf8ed7973a32bb" name="ad8361de07998a564f7bf8ed7973a32bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8361de07998a564f7bf8ed7973a32bb">&#9670;&#160;</a></span>Apply()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void GameOptions::Apply </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Tests, Applies every option and save config with options to file, see <a class="el" href="../../d6/d93/class_options_access.html#a87890ff3a44230871293d24c6088715d" title="Sets the option value internaly if the value has changed and wasnt set immediately upon change.">OptionsAccess::Test</a>, <a class="el" href="../../d6/d93/class_options_access.html#a88e43ca7bbacabe8b2304e26b40ea047" title="Applies the option value if the value has changed and forgets the old value. This function has no eff...">OptionsAccess::Apply</a>. </p>

</div>
</div>
<a id="af6e27d44773b30bc94b9beca59ba2ff9" name="af6e27d44773b30bc94b9beca59ba2ff9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af6e27d44773b30bc94b9beca59ba2ff9">&#9670;&#160;</a></span>GetOption()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d6/d93/class_options_access.html">OptionsAccess</a> GameOptions::GetOption </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get option by index. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">index</td><td><br  />
 </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><a class="el" href="../../d6/d93/class_options_access.html">OptionsAccess</a> </dd></dl>

</div>
</div>
<a id="af5cb532cd64dc6e1475ce1094823aad7" name="af5cb532cd64dc6e1475ce1094823aad7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5cb532cd64dc6e1475ce1094823aad7">&#9670;&#160;</a></span>GetOptionByType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d6/d93/class_options_access.html">OptionsAccess</a> GameOptions::GetOptionByType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>accessType</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get option by AccessType. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">AccessType</td><td><br  />
 </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><a class="el" href="../../d6/d93/class_options_access.html">OptionsAccess</a> </dd></dl>

</div>
</div>
<a id="a469c27ee72ff4369beda54564d97451b" name="a469c27ee72ff4369beda54564d97451b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a469c27ee72ff4369beda54564d97451b">&#9670;&#160;</a></span>GetOptionsCount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> GameOptions::GetOptionsCount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Registered options count. </p>
<dl class="section return"><dt>Returns</dt><dd>number of options </dd></dl>

</div>
</div>
<a id="a8b6f75a58df81070cb106cbffa13d8d2" name="a8b6f75a58df81070cb106cbffa13d8d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8b6f75a58df81070cb106cbffa13d8d2">&#9670;&#160;</a></span>Initialize()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void GameOptions::Initialize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Initializes option values with the current users settings. </p>

</div>
</div>
<a id="a74eaeae5be120dcc3909cfcb978fdde7" name="a74eaeae5be120dcc3909cfcb978fdde7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74eaeae5be120dcc3909cfcb978fdde7">&#9670;&#160;</a></span>IsChanged()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> GameOptions::IsChanged </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Checks if any option is changed, see <a class="el" href="../../d6/d93/class_options_access.html#aed087602381c9cbfe4b6897e5bd865c3" title="If the option value is changed and not applied or reverted. Value can already be set internally if th...">OptionsAccess::IsChanged</a>. </p>
<dl class="section return"><dt>Returns</dt><dd>1 if such option was found, 0 othewise </dd></dl>

</div>
</div>
<a id="a7a5c27ddab6f48a76f460e65c3425860" name="a7a5c27ddab6f48a76f460e65c3425860"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a5c27ddab6f48a76f460e65c3425860">&#9670;&#160;</a></span>NeedRestart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> GameOptions::NeedRestart </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Checks if any option is changed and needs restart, see <a class="el" href="../../d6/d93/class_options_access.html#aed087602381c9cbfe4b6897e5bd865c3" title="If the option value is changed and not applied or reverted. Value can already be set internally if th...">OptionsAccess::IsChanged</a>, <a class="el" href="../../d6/d93/class_options_access.html#a35aee336b419f747f6870f3ba363d8c0" title="If the option value will take effect only after the game is restarted.">OptionsAccess::NeedRestart</a>. </p>
<dl class="section return"><dt>Returns</dt><dd>1 if such option was found, 0 othewise </dd></dl>

</div>
</div>
<a id="a7b905d887c384dfaf2775f7a0ad635e2" name="a7b905d887c384dfaf2775f7a0ad635e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7b905d887c384dfaf2775f7a0ad635e2">&#9670;&#160;</a></span>Revert()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void GameOptions::Revert </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Load config with options and Revert every option, see <a class="el" href="../../d6/d93/class_options_access.html#ac0fec86ad23367d35fade042667eacb8" title="Reverts the option value to old value if the value has changed and wasnt applied. This function has e...">OptionsAccess::Revert</a>. </p>

</div>
</div>
<a id="a1216de1f83ee4c1869e8823b0ea75e66" name="a1216de1f83ee4c1869e8823b0ea75e66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1216de1f83ee4c1869e8823b0ea75e66">&#9670;&#160;</a></span>Test()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native void GameOptions::Test </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Tests every option, see <a class="el" href="../../d6/d93/class_options_access.html#a87890ff3a44230871293d24c6088715d" title="Sets the option value internaly if the value has changed and wasnt set immediately upon change.">OptionsAccess::Test</a>. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/<a class="el" href="../../d8/d18/gameplay_8c_source.html">gameplay.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../da/dd5/class_game_options.html">GameOptions</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
